Index: palm/trunk/SOURCE/temperton_fft_mod.f90
===================================================================
--- palm/trunk/SOURCE/temperton_fft_mod.f90	(revision 3724)
+++ palm/trunk/SOURCE/temperton_fft_mod.f90	(revision 3725)
@@ -2088,8 +2140,8 @@
 !> functins required by fft99 & fft991cy
 !------------------------------------------------------------------------------!
-  SUBROUTINE set99(trigs,ifax,n)
-
-
-    USE control_parameters,                                                    &
+ SUBROUTINE set99( trigs, ifax, n )
+
+
+    USE control_parameters,                                                                        &
         ONLY:  message_string
 
@@ -2098,13 +2150,10 @@
     IMPLICIT NONE
 
-    !  Scalar arguments 
     INTEGER(iwp) ::  n !< 
 
-    !  Array arguments 
     INTEGER(iwp) ::  ifax(*)  !< 
     REAL(wp)     ::  trigs(*) !< 
 
 
-    !  Local scalars: 
     REAL(wp) ::  angle    !< 
     REAL(wp) ::  del      !< 
@@ -2119,68 +2168,64 @@
     INTEGER(iwp) ::  nu   !< 
 
-    !  Local arrays: 
     INTEGER(iwp) ::  jfax(10) !< 
     INTEGER(iwp) ::  lfax(7)  !< 
 
-    !  Intrinsic functions 
-!    INTRINSIC ASIN, COS, MOD, REAL, SIN
-
-    !  Data statements 
-    DATA lfax/6, 8, 5, 4, 3, 2, 1/
-
-
-    !  Executable statements 
+    DATA  lfax / 6, 8, 5, 4, 3, 2, 1 /
+
+
     ixxx = 1
 
-    del = 4.0_wp*ASIN(1.0_wp)/REAL(n,KIND=wp)
+    del = 4.0_wp * ASIN( 1.0_wp ) / REAL( n, KIND=wp )
     nil = 0
     nhl = (n/2) - 1
-    DO k = nil, nhl
-       angle = REAL(k,KIND=wp)*del
-       trigs(2*k+1) = COS(angle)
-       trigs(2*k+2) = SIN(angle)
-    END DO
-
-    ! Find factors of n (8,6,5,4,3,2; only one 8 allowed)
-    ! Look for sixes first, store factors in descending order
-    nu = n
+    DO  k = nil, nhl
+       angle = REAL( k, KIND=wp ) * del
+       trigs(2*k+1) = COS( angle )
+       trigs(2*k+2) = SIN( angle )
+    ENDDO
+
+!
+!-- Find factors of n (8,6,5,4,3,2; only one 8 allowed).
+!-- Look for sixes first, store factors in descending order.
+    nu   = n
     ifac = 6
-    k = 0
-    l = 1
-10  CONTINUE
-    IF (MOD(nu,ifac)/=0) GO TO 30
-    k = k + 1
-    jfax(k) = ifac
-    IF (ifac/=8) GO TO 20
-    IF (k==1) GO TO 20
-    jfax(1) = 8
-    jfax(k) = 6
-20  CONTINUE
-    nu = nu/ifac
-    IF (nu==1) GO TO 40
-    IF (ifac/=8) GO TO 10
-30  CONTINUE
-    l = l + 1
-    ifac = lfax(l)
-    IF (ifac>1) GO TO 10
-
-!    WRITE (nout,'(A,I4,A)') ' n =',n,' - Contains illegal factors'
-    message_string = 'number of gridpoints along x or/and y ' //               &
-                     'contain illegal  factors' //                             &
-                     '&only factors 2, 3, 5 are allowed' 
-    CALL message( 'temperton_fft', 'PA0311', 1, 2, 0, 6, 0 )
-
-    RETURN
-
-    ! Now reverse order of factors
-40  CONTINUE
+    k    = 0
+    l    = 1
+
+    DO
+
+       IF ( MOD( nu, ifac ) == 0 )  THEN
+          k = k + 1
+          jfax(k) = ifac
+          IF ( ifac == 8  .AND.  k /= 1 )  THEN
+             jfax(1) = 8
+             jfax(k) = 6
+          ENDIF
+          nu = nu/ifac
+          IF ( nu == 1   )  EXIT
+          IF ( ifac /= 8 )  CYCLE
+       ENDIF
+
+       l = l + 1
+       ifac = lfax(l)
+       IF (ifac < 2 )  THEN
+          message_string = 'number of gridpoints along x or/and y ' //                             &
+                           'contain illegal  factors' //                                           &
+                           '&only factors 2, 3, 5 are allowed'
+          CALL message( 'temperton_fft', 'PA0311', 1, 2, 0, 6, 0 )
+          RETURN
+       ENDIF
+
+    ENDDO
+!
+!-- Now reverse order of factors
     nfax = k
     ifax(1) = nfax
-    DO i = 1, nfax
+    DO  i = 1, nfax
        ifax(nfax+2-i) = jfax(i)
-    END DO
+    ENDDO
     ifax(10) = n
-    RETURN
-  END SUBROUTINE set99
+
+ END SUBROUTINE set99
 
  END MODULE temperton_fft
Index: palm/trunk/SOURCE/wind_turbine_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 3724)
+++ palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 3725)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3685 2019-01-21 01:02:11Z knoop
 ! Some interface calls moved to module_interface + cleanup
 ! 
@@ -237,5 +240,5 @@
     REAL(wp), DIMENSION(1:100) ::  rnac             = 0.0_wp  !< nacelle diameter [m]
     REAL(wp), DIMENSION(1:100) ::  rr              = 63.0_wp  !< rotor radius [m]
-    REAL(wp), DIMENSION(1:100) ::  turb_cd_nacelle = 0.85_wp  !< drag coefficient for nacelle
+!    REAL(wp), DIMENSION(1:100) ::  turb_cd_nacelle = 0.85_wp  !< drag coefficient for nacelle
     REAL(wp), DIMENSION(1:100) ::  turb_cd_tower    = 1.2_wp  !< drag coefficient for tower
 
@@ -306,5 +309,4 @@
     REAL(wp) ::  eps_min          !< 
     REAL(wp) ::  eps_min2         !< 
-    REAL(wp) ::  sqrt_arg         !< 
 
 !
@@ -519,6 +521,4 @@
        IMPLICIT NONE
        
-       INTEGER(iwp) ::  ierrn       !<
-
        CHARACTER (LEN=80) ::  line  !< dummy string that contains the current line of the parameter file 
 
@@ -531,6 +531,7 @@
                                   rnac, rr, segment_length, segment_width,     &
                                   slope2, speed_control, tilt, time_turbine_on,&
-                                  turb_cd_nacelle, turb_cd_tower, pitch_rate,  &
+                                  turb_cd_tower, pitch_rate,                   &
                                   yaw_control, yaw_speed, tl_cor
+!                                  , turb_cd_nacelle
                                   
        NAMELIST /wind_turbine_parameters/                                      &
@@ -543,6 +544,7 @@
                                   rnac, rr, segment_length, segment_width,     &
                                   slope2, speed_control, tilt, time_turbine_on,&
-                                  turb_cd_nacelle, turb_cd_tower, pitch_rate,  &
+                                  turb_cd_tower, pitch_rate,                   &
                                   yaw_control, yaw_speed, tl_cor
+!                                  , turb_cd_nacelle
 !
 !--    Try to find wind turbine model package
@@ -980,12 +982,4 @@
        INTEGER(iwp) ::  tower_n      !<
        INTEGER(iwp) ::  tower_s      !<
-!
-!--    Help variables for the calulaction of the nacelle drag
-       INTEGER(iwp) ::  i_ip         !<
-       INTEGER(iwp) ::  i_ipg        !<
-       
-       REAL(wp) ::  yvalue               
-       REAL(wp) ::  dy_int           !< 
-       REAL(wp) ::  dz_int           !<
        
        REAL(wp), DIMENSION(:,:), ALLOCATABLE :: circle_points  !<
